> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prequel.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List sources

> The sources endpoint returns the configured data sources. Sources are the databases or data warehouses within the provider environment.



## OpenAPI

````yaml /generated/openapi-generated-2023-12-01.json get /sources
openapi: 3.1.0
info:
  title: Prequel Data Export
  description: Data Export API spec
  version: '2023-12-01'
servers:
  - url: https://api.prequel.co
    description: Cloud-hosted server (US)
  - url: https://eu-api.prequel.co
    description: Cloud-hosted server (EU)
  - url: https://{custom_host}/
    description: Cloud-prem or shared-cloud server
security:
  - ApiKeyAuth: []
paths:
  /sources:
    get:
      tags:
        - Sources
      summary: List sources
      description: >-
        The sources endpoint returns the configured data sources. Sources are
        the databases or data warehouses within the provider environment.
      operationId: list-sources
      parameters:
        - name: page_size
          in: query
          required: false
          description: Number of items to return per page.
          schema:
            type: integer
        - name: order
          in: query
          required: false
          description: Sort order for items
          schema:
            type: string
            enum:
              - asc
              - desc
        - name: cursor
          in: query
          required: false
          description: >-
            Used for pagination - represents last page seen. Value is included
            in response when there is a next page.
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    const: success
                  data:
                    $ref: '#/components/schemas/ListSourceResponse'
                    $schema: https://json-schema.org/draft/2020-12/schema
                    $id: >-
                      https://github.com/prequel-co/datafeed/internal/export/api/models/list-source-response
                  message:
                    type: string
                  has_next:
                    type: boolean
                    description: Whether there are more items beyond this page.
                  next_url:
                    type: string
                    description: >-
                      Full URL to fetch the next page. Only present when
                      has_next is true.
                type: object
                required:
                  - status
                  - data
                  - message
                  - has_next
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ListSourceResponse:
      properties:
        sources:
          items:
            $ref: '#/components/schemas/SourceResource'
          type: array
      additionalProperties: false
      type: object
      required:
        - sources
    SourceResource:
      oneOf:
        - properties:
            athena:
              $ref: '#/components/schemas/AthenaSourceResource'
          required:
            - athena
          title: athena
        - properties:
            aurora_mysql:
              $ref: '#/components/schemas/MySQLSourceResource'
          required:
            - aurora_mysql
          title: aurora_mysql
        - properties:
            aurora_postgres:
              $ref: '#/components/schemas/PostgresSourceResource'
          required:
            - aurora_postgres
          title: aurora_postgres
        - properties:
            bigquery:
              $ref: '#/components/schemas/BigQuerySourceResource'
          required:
            - bigquery
          title: bigquery
        - properties:
            clickhouse:
              $ref: '#/components/schemas/ClickhouseSourceResource'
          required:
            - clickhouse
          title: clickhouse
        - properties:
            databricks:
              $ref: '#/components/schemas/DatabricksSourceResource'
          required:
            - databricks
          title: databricks
        - properties:
            mock:
              $ref: '#/components/schemas/MockSourceResource'
          required:
            - mock
          title: mock
        - properties:
            mongodb:
              $ref: '#/components/schemas/MongoDBSourceResource'
          required:
            - mongodb
          title: mongodb
        - properties:
            motherduck:
              $ref: '#/components/schemas/MotherDuckSourceResource'
          required:
            - motherduck
          title: motherduck
        - properties:
            mysql:
              $ref: '#/components/schemas/MySQLSourceResource'
          required:
            - mysql
          title: mysql
        - properties:
            oracle:
              $ref: '#/components/schemas/OracleSourceResource'
          required:
            - oracle
          title: oracle
        - properties:
            postgres:
              $ref: '#/components/schemas/PostgresSourceResource'
          required:
            - postgres
          title: postgres
        - properties:
            redshift:
              $ref: '#/components/schemas/RedshiftSourceResource'
          required:
            - redshift
          title: redshift
        - properties:
            redshift_serverless:
              $ref: '#/components/schemas/RedshiftServerlessSourceResource'
          required:
            - redshift_serverless
          title: redshift_serverless
        - properties:
            singlestore:
              $ref: '#/components/schemas/MySQLSourceResource'
          required:
            - singlestore
          title: singlestore
        - properties:
            snowflake:
              $ref: '#/components/schemas/SnowflakeSourceResource'
          required:
            - snowflake
          title: snowflake
        - properties:
            sql_server:
              $ref: '#/components/schemas/SQLServerResource'
          required:
            - sql_server
          title: sql_server
      properties:
        id:
          type: string
          description: Prequel-generated unique identifier for the source.
        vendor:
          type: string
          description: The vendor of the source.
        name:
          type: string
          description: Descriptive name of database. (Used only for reference or comment)
        created_at:
          type: string
          format: date-time
          description: Timestamp when the source was created.
        updated_at:
          type: string
          format: date-time
          description: Timestamp when the source was last updated.
        max_concurrent_transfers:
          type: integer
          description: Maximum number of concurrent transfers allowed for this source.
        max_concurrent_queries_per_transfer:
          type: integer
          description: >-
            Maximum number of concurrent queries allowed per transfer for this
            source.
      type: object
      required:
        - id
        - vendor
        - name
        - created_at
        - updated_at
        - max_concurrent_transfers
        - max_concurrent_queries_per_transfer
      unevaluatedProperties: false
    ErrorResponse:
      properties:
        status:
          type: string
          const: error
        message:
          type: string
        data:
          type: 'null'
      type: object
      required:
        - status
        - message
    AthenaSourceResource:
      oneOf:
        - $ref: '#/components/schemas/AthenaSourceResourceAWSIAMRole'
        - $ref: '#/components/schemas/AthenaSourceResourceAWSAccessKeys'
      discriminator:
        mapping:
          aws_access_keys:
            $ref: '#/components/schemas/AthenaSourceResourceAWSAccessKeys'
          aws_iam_role:
            $ref: '#/components/schemas/AthenaSourceResourceAWSIAMRole'
        propertyName: auth_method
    MySQLSourceResource:
      properties:
        host:
          type: string
        port:
          type: integer
        connection_database:
          type: string
        auth_method:
          type: string
          enum:
            - password_auth
        password_auth:
          $ref: '#/components/schemas/PasswordAuthResource'
        use_ssh_tunnel:
          type: boolean
        ssh_tunnel:
          $ref: '#/components/schemas/SSHTunnelResource'
        disable_ssl:
          type: boolean
      additionalProperties: false
      type: object
      required:
        - host
        - port
        - connection_database
        - auth_method
        - password_auth
        - use_ssh_tunnel
    PostgresSourceResource:
      properties:
        host:
          type: string
        port:
          type: integer
        database:
          type: string
        auth_method:
          type: string
          enum:
            - password_auth
        password_auth:
          $ref: '#/components/schemas/PasswordAuthResource'
        use_ssh_tunnel:
          type: boolean
        ssh_tunnel:
          $ref: '#/components/schemas/SSHTunnelResource'
        disable_ssl:
          type: boolean
      additionalProperties: false
      type: object
      required:
        - host
        - port
        - database
        - auth_method
        - password_auth
        - use_ssh_tunnel
    BigQuerySourceResource:
      oneOf:
        - $ref: '#/components/schemas/BigQuerySourceResourceGCPServiceAccountRole'
        - $ref: >-
            #/components/schemas/BigQuerySourceResourceFederatedGCPServiceAccountRole
        - $ref: '#/components/schemas/BigQuerySourceResourceGCPServiceAccountKey'
      discriminator:
        mapping:
          federated_gcp_service_account_role:
            $ref: >-
              #/components/schemas/BigQuerySourceResourceFederatedGCPServiceAccountRole
          gcp_service_account_key:
            $ref: '#/components/schemas/BigQuerySourceResourceGCPServiceAccountKey'
          gcp_service_account_role:
            $ref: '#/components/schemas/BigQuerySourceResourceGCPServiceAccountRole'
        propertyName: auth_method
    ClickhouseSourceResource:
      properties:
        cluster:
          type: string
        host:
          type: string
        port:
          type: integer
        connection_database:
          type: string
        auth_method:
          type: string
          enum:
            - password_auth
        password_auth:
          $ref: '#/components/schemas/PasswordAuthResource'
        bucket_vendor:
          type: string
        bucket_s3:
          $ref: '#/components/schemas/ClickhouseS3BucketResource'
        bucket_gcs:
          $ref: '#/components/schemas/ClickhouseGCSBucketResource'
        disable_ssl:
          type: boolean
      additionalProperties: false
      type: object
      required:
        - host
        - port
        - connection_database
        - auth_method
        - password_auth
        - bucket_vendor
    DatabricksSourceResource:
      oneOf:
        - properties:
            metastore:
              const: hive
            hive:
              $ref: '#/components/schemas/DatabricksHiveResource'
              title: Hive Metastore
          required:
            - metastore
            - hive
          title: Hive Metastore
        - properties:
            metastore:
              const: unity_catalog
          required:
            - metastore
          title: Unity Catalog Metastore
      properties:
        host:
          type: string
        port:
          type: integer
        catalog:
          type: string
        http_path:
          type: string
        auth_method:
          type: string
          enum:
            - access_token_auth
        oauth_client_secret_auth:
          $ref: '#/components/schemas/OauthClientSecretAuthResource'
        use_ssh_tunnel:
          type: boolean
        ssh_tunnel:
          $ref: '#/components/schemas/SSHTunnelResource'
      type: object
      required:
        - host
        - port
        - catalog
        - http_path
        - auth_method
        - use_ssh_tunnel
      unevaluatedProperties: false
    MockSourceResource:
      properties:
        database:
          type: string
      additionalProperties: false
      type: object
      required:
        - database
    MongoDBSourceResource:
      oneOf:
        - $ref: '#/components/schemas/MongoDBSourceResourceAWSIAMRole'
        - $ref: '#/components/schemas/MongoDBSourceResourcePasswordAuth'
      discriminator:
        mapping:
          aws_iam_role:
            $ref: '#/components/schemas/MongoDBSourceResourceAWSIAMRole'
          password_auth:
            $ref: '#/components/schemas/MongoDBSourceResourcePasswordAuth'
        propertyName: auth_method
    MotherDuckSourceResource:
      properties:
        database:
          type: string
        auth_method:
          type: string
      additionalProperties: false
      type: object
      required:
        - database
        - auth_method
    OracleSourceResource:
      properties:
        host:
          type: string
        port:
          type: integer
        database:
          type: string
        auth_method:
          type: string
          enum:
            - password_auth
        password_auth:
          $ref: '#/components/schemas/PasswordAuthResource'
        use_ssh_tunnel:
          type: boolean
        ssh_tunnel:
          $ref: '#/components/schemas/SSHTunnelResource'
        disable_ssl:
          type: boolean
      additionalProperties: false
      type: object
      required:
        - host
        - port
        - database
        - auth_method
        - password_auth
        - use_ssh_tunnel
    RedshiftSourceResource:
      oneOf:
        - $ref: '#/components/schemas/RedshiftSourceResourceAWSAccessKeys'
        - $ref: '#/components/schemas/RedshiftSourceResourceAWSIAMRole'
      discriminator:
        mapping:
          aws_access_keys:
            $ref: '#/components/schemas/RedshiftSourceResourceAWSAccessKeys'
          aws_iam_role:
            $ref: '#/components/schemas/RedshiftSourceResourceAWSIAMRole'
        propertyName: auth_method
    RedshiftServerlessSourceResource:
      oneOf:
        - $ref: '#/components/schemas/RedshiftServerlessSourceResourceAWSAccessKeys'
        - $ref: '#/components/schemas/RedshiftServerlessSourceResourceAWSIAMRole'
      discriminator:
        mapping:
          aws_access_keys:
            $ref: '#/components/schemas/RedshiftServerlessSourceResourceAWSAccessKeys'
          aws_iam_role:
            $ref: '#/components/schemas/RedshiftServerlessSourceResourceAWSIAMRole'
        propertyName: auth_method
    SnowflakeSourceResource:
      properties:
        username:
          type: string
        host:
          type: string
        port:
          type: integer
        database:
          type: string
        auth_method:
          type: string
          enum:
            - password_auth
            - public_key_auth
        public_key_auth:
          $ref: '#/components/schemas/PublicKeyAuth'
      additionalProperties: false
      type: object
      required:
        - username
        - host
        - port
        - database
        - auth_method
    SQLServerResource:
      properties:
        host:
          type: string
        port:
          type: integer
        database:
          type: string
        auth_method:
          type: string
          enum:
            - password_auth
        password_auth:
          $ref: '#/components/schemas/PasswordAuthResource'
        use_ssh_tunnel:
          type: boolean
        ssh_tunnel:
          $ref: '#/components/schemas/SSHTunnelResource'
        disable_ssl:
          type: boolean
      additionalProperties: false
      type: object
      required:
        - host
        - port
        - database
        - auth_method
        - password_auth
        - use_ssh_tunnel
    AthenaSourceResourceAWSIAMRole:
      properties:
        workgroup:
          type: string
        connection_database:
          type: string
        bucket_s3:
          $ref: '#/components/schemas/S3BucketResource'
        auth_method:
          const: aws_iam_role
        aws_iam_role:
          $ref: '#/components/schemas/AWSIAMRoleResource'
          title: Authenticate using an AWS IAM role (recommended)
      type: object
      required:
        - workgroup
        - connection_database
        - bucket_s3
        - auth_method
        - aws_iam_role
      title: Authenticate using an AWS IAM role (recommended)
      unevaluatedProperties: false
    AthenaSourceResourceAWSAccessKeys:
      properties:
        workgroup:
          type: string
        connection_database:
          type: string
        bucket_s3:
          $ref: '#/components/schemas/S3BucketResource'
        auth_method:
          const: aws_access_keys
        aws_access_keys:
          $ref: '#/components/schemas/AWSAccessKeysResource'
          title: Authenticate using AWS access keys
      type: object
      required:
        - workgroup
        - connection_database
        - bucket_s3
        - auth_method
        - aws_access_keys
      title: Authenticate using AWS access keys
      unevaluatedProperties: false
    PasswordAuthResource:
      properties:
        username:
          type: string
      additionalProperties: false
      type: object
      required:
        - username
    SSHTunnelResource:
      properties:
        ssh_tunnel_host:
          type: string
        ssh_tunnel_port:
          type: integer
        ssh_tunnel_username:
          type: string
        ssh_public_key:
          type: string
      additionalProperties: false
      type: object
    BigQuerySourceResourceGCPServiceAccountRole:
      properties:
        project_id:
          type: string
        bucket_gcs:
          $ref: '#/components/schemas/BigQueryGCSBucketResource'
        auth_method:
          const: gcp_service_account_role
        gcp_service_account_role:
          $ref: '#/components/schemas/GCPServiceAccountRoleResource'
          title: Authenticate using a GCP service account (recommended)
      type: object
      required:
        - project_id
        - bucket_gcs
        - auth_method
        - gcp_service_account_role
      title: Authenticate using a GCP service account (recommended)
      unevaluatedProperties: false
    BigQuerySourceResourceFederatedGCPServiceAccountRole:
      properties:
        project_id:
          type: string
        bucket_gcs:
          $ref: '#/components/schemas/BigQueryGCSBucketResource'
        auth_method:
          const: federated_gcp_service_account_role
        federated_gcp_service_account_role:
          $ref: '#/components/schemas/FederatedGCPServiceAccountRoleResource'
          title: Authenticate using federation (only if self-hosting)
      type: object
      required:
        - project_id
        - bucket_gcs
        - auth_method
        - federated_gcp_service_account_role
      title: Authenticate using federation (only if self-hosting)
      unevaluatedProperties: false
    BigQuerySourceResourceGCPServiceAccountKey:
      properties:
        project_id:
          type: string
        bucket_gcs:
          $ref: '#/components/schemas/BigQueryGCSBucketResource'
        auth_method:
          const: gcp_service_account_key
        gcp_service_account_key:
          $ref: '#/components/schemas/GCPServiceAccountKeyResource'
          title: Authenticate using direct access
      type: object
      required:
        - project_id
        - bucket_gcs
        - auth_method
        - gcp_service_account_key
      title: Authenticate using direct access
      unevaluatedProperties: false
    ClickhouseS3BucketResource:
      properties:
        bucket_name:
          type: string
        bucket_region:
          type: string
        bucket_auth_method:
          type: string
        aws_iam_role:
          $ref: '#/components/schemas/AWSIAMRoleResource'
        aws_access_keys:
          $ref: '#/components/schemas/AWSAccessKeysResource'
      additionalProperties: false
      type: object
      required:
        - bucket_name
        - bucket_region
        - bucket_auth_method
    ClickhouseGCSBucketResource:
      properties:
        bucket_name:
          type: string
        gcs_hmac_keys:
          $ref: '#/components/schemas/GCSAccessKeysResource'
      additionalProperties: false
      type: object
      required:
        - bucket_name
        - gcs_hmac_keys
    DatabricksHiveResource:
      oneOf:
        - properties:
            bucket_s3:
              $ref: '#/components/schemas/DatabricksS3BucketResource'
          required:
            - bucket_s3
          title: bucket_s3
      properties:
        bucket_vendor:
          type: string
      type: object
      required:
        - bucket_vendor
      unevaluatedProperties: false
    OauthClientSecretAuthResource:
      properties:
        client_id:
          type: string
      additionalProperties: false
      type: object
      required:
        - client_id
    MongoDBSourceResourceAWSIAMRole:
      properties:
        host:
          type: string
        port:
          type: integer
        authentication_database:
          type: string
        use_ssh_tunnel:
          type: boolean
        ssh_tunnel:
          $ref: '#/components/schemas/SSHTunnelResource'
        disable_ssl:
          type: boolean
        auth_method:
          const: aws_iam_role
        aws_iam_role:
          $ref: '#/components/schemas/AWSIAMRoleResource'
          title: Authenticate using an AWS IAM role (recommended)
      type: object
      required:
        - host
        - port
        - authentication_database
        - use_ssh_tunnel
        - auth_method
        - aws_iam_role
      title: Authenticate using an AWS IAM role (recommended)
      unevaluatedProperties: false
    MongoDBSourceResourcePasswordAuth:
      properties:
        host:
          type: string
        port:
          type: integer
        authentication_database:
          type: string
        use_ssh_tunnel:
          type: boolean
        ssh_tunnel:
          $ref: '#/components/schemas/SSHTunnelResource'
        disable_ssl:
          type: boolean
        auth_method:
          const: password_auth
        password_auth:
          $ref: '#/components/schemas/PasswordAuthResource'
          title: Authenticate using a username and password
      type: object
      required:
        - host
        - port
        - authentication_database
        - use_ssh_tunnel
        - auth_method
        - password_auth
      title: Authenticate using a username and password
      unevaluatedProperties: false
    RedshiftSourceResourceAWSAccessKeys:
      properties:
        host:
          type: string
        port:
          type: integer
        database:
          type: string
        cluster:
          type: string
        username:
          type: string
        bucket_s3:
          $ref: '#/components/schemas/RedshiftS3BucketResource'
        use_ssh_tunnel:
          type: boolean
        ssh_tunnel:
          $ref: '#/components/schemas/SSHTunnelResource'
        auth_method:
          const: aws_access_keys
        aws_access_keys:
          $ref: '#/components/schemas/RedshiftAccessKeysResource'
          title: Authenticate using AWS access keys
      type: object
      required:
        - host
        - port
        - database
        - cluster
        - username
        - bucket_s3
        - use_ssh_tunnel
        - auth_method
        - aws_access_keys
      title: Authenticate using AWS access keys
      unevaluatedProperties: false
    RedshiftSourceResourceAWSIAMRole:
      properties:
        host:
          type: string
        port:
          type: integer
        database:
          type: string
        cluster:
          type: string
        username:
          type: string
        bucket_s3:
          $ref: '#/components/schemas/RedshiftS3BucketResource'
        use_ssh_tunnel:
          type: boolean
        ssh_tunnel:
          $ref: '#/components/schemas/SSHTunnelResource'
        auth_method:
          const: aws_iam_role
        aws_iam_role:
          $ref: '#/components/schemas/AWSIAMRoleResource'
          title: Authenticate using an AWS IAM role (recommended)
      type: object
      required:
        - host
        - port
        - database
        - cluster
        - username
        - bucket_s3
        - use_ssh_tunnel
        - auth_method
        - aws_iam_role
      title: Authenticate using an AWS IAM role (recommended)
      unevaluatedProperties: false
    RedshiftServerlessSourceResourceAWSAccessKeys:
      properties:
        workgroup:
          type: string
        host:
          type: string
        port:
          type: integer
        database:
          type: string
        bucket_s3:
          $ref: '#/components/schemas/RedshiftS3BucketResource'
        auth_method:
          const: aws_access_keys
        aws_access_keys:
          $ref: '#/components/schemas/AWSAccessKeysResource'
          title: Authenticate using AWS access keys
      type: object
      required:
        - workgroup
        - host
        - port
        - database
        - bucket_s3
        - auth_method
        - aws_access_keys
      title: Authenticate using AWS access keys
      unevaluatedProperties: false
    RedshiftServerlessSourceResourceAWSIAMRole:
      properties:
        workgroup:
          type: string
        host:
          type: string
        port:
          type: integer
        database:
          type: string
        bucket_s3:
          $ref: '#/components/schemas/RedshiftS3BucketResource'
        auth_method:
          const: aws_iam_role
        aws_iam_role:
          $ref: '#/components/schemas/AWSIAMRoleResource'
          title: Authenticate using an AWS IAM role (recommended)
      type: object
      required:
        - workgroup
        - host
        - port
        - database
        - bucket_s3
        - auth_method
        - aws_iam_role
      title: Authenticate using an AWS IAM role (recommended)
      unevaluatedProperties: false
    PublicKeyAuth:
      properties:
        public_key:
          type: string
          enum:
            - primary_public_key
            - secondary_public_key
          title: Public key
          description: >-
            This is the public SSH key that will be used to establish the SSH
            tunnel. It should be added to the list of authorized keys on the
            bastion host.
      additionalProperties: false
      type: object
      required:
        - public_key
    S3BucketResource:
      properties:
        bucket_name:
          type: string
        bucket_region:
          type: string
      additionalProperties: false
      type: object
      required:
        - bucket_name
        - bucket_region
    AWSIAMRoleResource:
      properties:
        aws_iam_role_arn:
          type: string
      additionalProperties: false
      type: object
      required:
        - aws_iam_role_arn
    AWSAccessKeysResource:
      properties:
        access_id:
          type: string
      additionalProperties: false
      type: object
      required:
        - access_id
    BigQueryGCSBucketResource:
      properties:
        bucket_name:
          type: string
        bucket_region:
          type: string
      additionalProperties: false
      type: object
      required:
        - bucket_name
        - bucket_region
    GCPServiceAccountRoleResource:
      properties:
        service_account_email:
          type: string
      additionalProperties: false
      type: object
      required:
        - service_account_email
    FederatedGCPServiceAccountRoleResource:
      properties:
        service_account_email:
          type: string
      additionalProperties: false
      type: object
      required:
        - service_account_email
    GCPServiceAccountKeyResource:
      properties:
        service_account_email:
          type: string
      additionalProperties: false
      type: object
      required:
        - service_account_email
    GCSAccessKeysResource:
      properties:
        access_key:
          type: string
      additionalProperties: false
      type: object
      required:
        - access_key
    DatabricksS3BucketResource:
      properties:
        bucket_name:
          type: string
        bucket_region:
          type: string
        aws_access_keys:
          $ref: '#/components/schemas/AWSAccessKeysResource'
      additionalProperties: false
      type: object
      required:
        - bucket_name
        - bucket_region
        - aws_access_keys
    RedshiftS3BucketResource:
      properties:
        bucket_name:
          type: string
        bucket_region:
          type: string
      additionalProperties: false
      type: object
      required:
        - bucket_name
        - bucket_region
    RedshiftAccessKeysResource:
      properties:
        access_id:
          type: string
      additionalProperties: false
      type: object
      required:
        - access_id
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````